[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# RPosex

Find last occurrence substring or character in a string, starting at a certain position

## Declaration

Source position: line 0

`function RPosEX(`
`C: Char;`
`const S: AnsiString;`
`offs: Cardinal`
`):Integer; overload; function RPosex(`
`const Substr: AnsiString;`
`const Source: AnsiString;`
`offs: Cardinal`
`):Integer; overload;`

## Description

RPos looks in S for the character C or the string SubStr. It starts looking at position Offs (counted from the start of the string), and searches towards the beginning of the string. If a match is found, it returns the position of the match.

## See also

RPos |  | Find last occurrence of substring or character in a string

Documentation generated on: Feb 26 2014